## hildon-desktop 0.0.21-1ubuntu5

=== debian/changelog ===
hildon-desktop (0.0.21-1ubuntu5) gutsy; urgency=low

  * Fix thinko in marquee.conf

 -- Matthew Garrett <mjg59@srcf.ucam.org>  Mon, 15 Oct 2007 05:07:25 +0100

hildon-desktop (0.0.21-1ubuntu4) gutsy; urgency=low

  * Update the config files to cope with moblin

 -- Matthew Garrett <mjg59@srcf.ucam.org>  Mon, 15 Oct 2007 05:04:32 +0100

hildon-desktop (0.0.21-1ubuntu3) gutsy; urgency=low

  * Add missing depends on libdbus-glib-1-dev from libhildondesktop-dev

 -- Tollef Fog Heen <tfheen@ubuntu.com>  Mon, 30 Jul 2007 15:07:16 +0200

hildon-desktop (0.0.21-1ubuntu2) gutsy; urgency=low

  * Update start-hildon to use the mobilebasic theme if it is available.
  * Use dbus-launcher to avoid having a million orphaned dbus processes
    lying about.
  * Pass -use_titlebar no when startin matchbox in start-hildon.
  * Don't set LC_ALL and LANGUAGE, just LANG, in start-hildon.
  * Start mas too.

 -- Tollef Fog Heen <tfheen@ubuntu.com>  Mon, 30 Jul 2007 13:08:05 +0200

hildon-desktop (0.0.21-1ubuntu1) gutsy; urgency=low

  * Merge from upstream.
  * Revert epoch from version.
  * Apply patches from intel:
    - Allow maemo-af-desktop-l10n-mr1 as well as other marketing releases.
    - comment out GTK_MAEMO_SPECIFIC and TAP_AND_HOLD support
    - fix compilation warnings
    - add Display handle return in libhildonwm
    - UME theme
  * Don't install stuff in /etc/osso-af-init any more, it's no longer used.

 -- Tollef Fog Heen <tfheen@ubuntu.com>  Fri, 13 Jul 2007 13:37:42 +0200

hildon-desktop (1:0.0.21-2ubuntu8) feisty; urgency=low

  * loop back window list for application switching

 -- Horace Li <horace.li@intel.com>  Wed, 11 Jul 2007 16:59:15 +0800

hildon-desktop (1:0.0.21-2ubuntu7) feisty; urgency=low

  * load application menu icon from absolute path

 -- Horace Li <horace.li@intel.com>  Wed, 11 Jul 2007 13:38:16 +0800

hildon-desktop (1:0.0.21-2ubuntu6) feisty; urgency=low

  * Removed padding for plugins in home.conf
  * changed home screen titlebar height to 0
  * changed application menu icon to 52 width (after finding/removing elusive 7pixel offset in gtkrc)
  * changed the order "active_window" message was sent so title would be correct
 
 -- Bob Spencer <bob@bobuntu>  Sun,  8 Jul 2007 00:36:11 -0700

hildon-desktop (1:0.0.21-2ubuntu5) feisty; urgency=low

  * Add new signal to notify marquee plugins when active window info updated

 -- Horace Li <horace.li@intel.com>  Fri,  6 Jul 2007 16:58:33 +0800

hildon-desktop (1:0.0.21-2ubuntu4) gutsy; urgency=low

  * removed annoying debug print statement.  removed dummy plugin.  fixed
    statusbar

 -- Bob Spencer <bob.spencer@intel.com>  Fri, 06 Jul 2007 08:07:49 +0000

hildon-desktop (1:0.0.21-2ubuntu3) gutsy; urgency=low

  * Removed the init script

 -- Bob Spencer <bob.spencer@intel.com>  Fri, 06 Jul 2007 01:58:39 +0000

hildon-desktop (1:0.0.21-2ubuntu2) gutsy; urgency=low

  * Updated rules file

 -- Bob Spencer <bob.spencer@intel.com>  Fri, 06 Jul 2007 01:09:56 +0000

hildon-desktop (1:0.0.21-2ubuntu1) gutsy; urgency=low

  * Updated size and location of statusbar in desktop.conf.in, also tweaked
    marquee.conf.in to include new nav buttons 

 -- Bob Spencer <bob.spencer@intel.com>  Fri, 06 Jul 2007 00:51:22 +0000

hildon-desktop (1:0.0.21-2) moblin; urgency=low

  [ Horace Li ]
  * libhildonwm/hd-wm-types.h: added new atom HD_ATOM_MB_GRAB_TRANSFER to support get
  application menu by sending Clientmessage in marquee plugins.

 -- Horace Li <horace.li@intel.com>  Thu, 05 Jul 2007 10:37:22 +0800

hildon-desktop (0.0.14-2ubuntu6) gutsy; urgency=low

  * Just call automake and aclocal in autogen.sh, not the versioned
    versions.  Should fix FTBFS.

 -- Tollef Fog Heen <tfheen@ubuntu.com>  Sat, 30 Jun 2007 09:14:27 +0200

hildon-desktop (0.0.14-2ubuntu5) gutsy; urgency=low

  * Add start-hildon script, based on what's in the MobileAndEmbedded
    wiki.

 -- Tollef Fog Heen <tfheen@ubuntu.com>  Fri, 29 Jun 2007 10:40:00 +0200

hildon-desktop (0.0.14-2ubuntu4) gutsy; urgency=low

  [ Colin Watson ]
  * Convert libhildondesktop-dev, libhildondesktop0-dbg, libhildonwm-dev,
    and libhildonwm0-dbg to Architecture: any.
  * Fix various type errors causing build failures on 64-bit systems.
    
  [ Adilson Oliveira ]
  * Disabled overwritting of applications.menu file.
  * Fix dev packahges dependencies.
  * Disabled [Statusbar] session from desktop.conf.in.
  
  [ Tollef Fog Heen ]
  * Don't ship /etc/xdg/menus in package any more; it's empty and unused
    by us.
  * Remove unused shared library stuff from debian/rules.
  * Change maintainer to the ubuntu-mobile list.
  * Freshen debian/copyright.
  * Flesh out the long descriptions somewhat.
  * Get rid of configure-stamp in debian/rules
  * Install to debian/tmp instead of debian/build.
  * Update build-depends to be for automake rather than a specific
    version.

 -- Tollef Fog Heen <tfheen@ubuntu.com>  Tue, 26 Jun 2007 13:10:32 +0200
  

hildon-desktop (0.0.14-2ubuntu3) gutsy; urgency=low

  * Build-Depends: autoconf, automake1.7, libtool (to get things building)

 -- Matt Zimmerman <mdz@ubuntu.com>  Mon, 11 Jun 2007 17:03:32 -0700

hildon-desktop (0.0.14-2ubuntu2) gutsy; urgency=low

  [ Adilson Oliveira ]
  * Added #ifdef MAEMO_GTK into hildon_desktop_home_item.c disabling
  tap_and_hold so it can be compiled with stock Gtk for now.

  [ Tollef Fog Heen ]
  * Fix unsigned/signed confusion in XQueryTree call in
    libhildondesktop/hildon-home-area.c
  * Bump debhelper compat to 4.
  * Remove debian/conffiles as this is automatically handled with newer
    debhelper.
  * Remove extranous leading spaces in long descriptions
  
  [ Matt Zimmerman ]
  * Remove config.{guess,sub} copying from debian/rules
  * Set Maintainer to Tollef

 -- Matt Zimmerman <mdz@ubuntu.com>  Mon, 11 Jun 2007 20:05:44 +0100

hildon-desktop (0.0.14-2ubuntu1) UNRELEASED; urgency=low

  * In control file the following dependencies has being changed:
  - libhildon1-dev was replaced by libhildon-1-dev

