=== debian/control ===
Source: hildon-desktop
Section: x11
Priority: optional
Maintainer: Ubuntu Mobile Developers <ubuntu-mobile@lists.ubuntu.com>
XSBC-Original-Maintainer: Johan Bilien <johan.bilien@nokia.com>
Build-Depends: debhelper (>= 4.0.0), libhildon-1-dev | hildon-libs-dev, pkg-config, libosso-dev (>= 0.9.19), libgnomevfs2-dev, osso-af-settings, libhildonfm2-dev | hildon-fm-dev, libhildonhelp-dev | libosso-help-dev, libxtst-dev, libxml2-dev, libesd0-dev, libxdamage-dev, libsqlite3-dev, mce-dev, autoconf, automake, libtool
Standards-Version: 3.6.0

Package: hildon-desktop
Section: x11
Architecture: any
Depends:  ${shlibs:Depends}, ${misc:Depends}, ${launcher:Depends}, maemo-af-desktop-l10n-mr | maemo-af-desktop-l10n-mr0 | maemo-af-desktop-l10n-mr1
Conflicts: maemo-af-desktop (<< 3.0.0), maemo-af-desktop-config
Description: Desktop environment for embedded devices
 Hildon Desktop is a desktop environment for embedded devices. It
 is based on the GNOME platform

Package: hildon-desktop-dev
Section: x11
Architecture: all
Depends:  ${shlibs:Depends}, ${misc:Depends}, libhildondesktop-dev, libhildonwm-dev
Description: Development files for the Hildon Desktop
 Hildon Desktop is a desktop environment for embedded devices. It
 is based on the GNOME platform.
 .
 This package contains the development headers required to create new
 plugin loaders.

Package: hildon-desktop-dbg
Section: devel
Architecture: any
Depends: hildon-desktop (=${Source-Version})
Description: Debug symbols for hildon-desktop
 Hildon Desktop is a desktop environment for embedded devices. It
 is based on the GNOME platform.
 .
 This package contains the debug symbols for hildon-desktop.  You most
 likely do not need this unless you are doing development with Hildon.

Package: libhildondesktop0
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: libhildondesktop shared library
 Hildon Desktop is a desktop environment for embedded devices. It
 is based on the GNOME platform.
 .
 This package contains a set of widgets to build desktop elements in
 the Hildon Desktop environment

Package: libhildondesktop-dev
Section: devel
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libhildondesktop0 (=${Source-Version}), libhildon-1-dev | hildon-libs-dev, libxml2-dev, libdbus-glib-1-dev
Description: libhildondesktop development files
 Hildon Desktop is a desktop environment for embedded devices. It
 is based on the GNOME platform.
 .
 This package contains the development headers and static libraries
 for libhildondesktop.

Package: libhildondesktop0-dbg
Section: devel
Architecture: any
Depends: libhildondesktop0 (=${Source-Version})
Description: libhildondesktop debug symbols
 Hildon Desktop is a desktop environment for embedded devices. It
 is based on the GNOME platform.
 .
 This package contains the debug symbols for libhildondesktop0.  You
 most likely do not need this unless you are doing development with
 Hildon.

Package: libhildonwm0
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: libhildonwm shared library
 Hildon Desktop is a desktop environment for embedded devices. It
 is based on the GNOME platform.
 .
 This package contains a set of tools for window managing from desktop
 environments.

Package: libhildonwm-dev
Section: devel
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libhildondesktop0 (=${Source-Version}), libxtst-dev, libx11-dev, libhildon-1-dev | hildon-libs-dev, libgconf2-dev
Description: libhildonwm development files
 Hildon Desktop is a desktop environment for embedded devices. It
 is based on the GNOME platform.
 .
 This package contains development headers and static libraries for
 the libhildonwm.

Package: libhildonwm0-dbg
Section: devel
Architecture: any
Depends: libhildonwm0 (=${Source-Version})
Description: libhildonwm debug symbols
 Hildon Desktop is a desktop environment for embedded devices. It
 is based on the GNOME platform.
 .
 This package contains the debug symbols for libhildonwm0.  You most
 likely do not need this unless you are doing development with Hildon.
