## hildon-desktop 0.0.26-1

=== debian/changelog ===
hildon-desktop (1:0.0.26-1) sardine; urgency=low

  * libhildondesktop/hildon-desktop-popup-window.c
  (hildon_desktop_popup_window_realize): set background pixmap to NULL
  to avoid flicking when showing the window. Fixes NB#64459

 -- Johan Bilien <johan.bilien@nokia.com>  Fri, 27 Jul 2007 17:47:59 +0300
