## hildon-desktop 0.0.34-1

=== debian/changelog ===
hildon-desktop (1:0.0.34-1) sardine; urgency=low

  * src/hd-panel-window-dialog.c,
  libhildondesktop/hildon-desktop-panel-expandable.c:
  - fixed a couple of warnings

  * libhildonwm/hd-wm.[ch]: Bring back the startup notification
  DBus method. Fixes: NB#55837

  * src/hn-app-button.c (hn_app_button_create_menu): do not attach the
  menu to the app button in order to make it always accessible.
  Fixes NB#66988.

  * src/hd-switcher-menu.c (hd_switcher_menu_changed_info_cb): refresh
  applications menu items when a generic entry info change notification
  arrives. 
  * src/hd-switcher-menu-item.c (hd_switcher_menu_item_set_entry_info,
  hd_switcher_menu_item_class_init,
  hd_switcher_menu_item_compose_bkill_pixbuf): add bgkill emblem on
  entry info update in menu item. Fixes #59573.

  * src/hd-plugin-manager.c (hd_plugin_manager_sync):
  - do not unref the widgets after destroying them if the container
  does not require preserving the order. Fixes: NB#67049
  * src/hd-desktop.c:
  - add a flag to ignore monitoring of the container configuration
  after saving, so avoid an extra synching
  - include saving when selecting applets
  * src/hd-home-window.c:
  - let HDDesktop save the configuration when selecting applets

  * src/hd-applications-menu.c (hd_applications_menu_get_items): set the
  ellipsize behavior for menu items. Fixes NB#65999.

  * src/hd-select-plugins-dialog.c: do not free the
  desktop path after all

  * libhildonwm/hd-keys.c: dbus_message_append_args takes addresses,
  not values. Fixes: NB#67352

  * src/hd-desktop.c: fixed the leaks of some strings
  * src/hd-select-plugins-dialog.c: fixed the leak of a string
  and a keyfile
  * libhildondesktop/hildon-home-area.c: fixed the leaks
  of a list and a string
  * libhildonwm/hd-wm.c: fixed the leaks of some X atoms
  Fixes: NB#67175

  * libhildondesktop/hildon-desktop-popup-menu.[ch]
  (hildon_desktop_popup_menu_select_next_prev_item): optimizations and
  implementation for go to last item when the end of menu items list is
  reached.
  (hildon_desktop_popup_menu_key_press_event): optimizations by just
  using internal method for select next and previous items.
  (hildon_desktop_popup_menu_select_last_item): new method to select
  last menu item.
  (hildon_desktop_popup_menu_select_item): optimizations in order to
  avoid extra paints on menu items and to make it faster.
  Fixes #66744.

  * libhildondesktop/hildon-desktop-popup-menu.c
  (hildon_desktop_popup_menu_scroll_start,
  hildon_desktop_popup_menu_scroll_stop,
  hildon_desktop_popup_menu_scroll_step,
  hildon_desktop_popup_menu_scroll_cb,
  hildon_desktop_popup_menu_scroll_constructor): scroll continuously on
  button press on scroll buttons. Button click scrolls on step down/up.
  Fixes NB#66827.

  * src/hd-switcher-menu.c (hd_switcher_menu_changed_info_cb): correctly
  calculate the position of an window in the stack in order to avoid
  blinking window icons both in switcher are and switcher menu.
  Fixes NB#57680.

  * Fixed signedness problem on libhildonmenu.c on line 1013: added
  cast to empty
  string to get rid of warning (which is treated as error) which
  blocked compilation
  on Ubuntu Gutsy. Fixes: NB#67207.

  * libhildondesktop/hildon-thumb-menu-item.c
  (hildon_thumb_menu_item_set_thumb_label): correctly set logical color
  ids for labels in thumb menu items. Fixes #62307.

  * libhildonwm/hd-wm-window.c (hd_wm_window_process_wm_name): emit
  signal for entry info changed accordingly.
  * src/hd-switcher-menu-item.c (hd_switcher_menu_item_set_entry_info):
  update the window name label on entry info changed.
  Fixes NB#66546, NB#63271.

  * src/hd-home-window.c: handle the unable to read file
  error case from background manager. Fixes: NB#66197

  * src/hd-home-background-dialog.c: do not add the same
  background twice to the list. Fixes: NB#66007

  * libhildondesktop/hildon-home-area.c:
  - also recalculate mask after the state of a child is back to
  normal, if necessary. Fixes: NB#65895

  * libhildondesktop/libhildonmenu.[ch]: remove useless xmlreader.h
  includes. Fixes NB#67013.

  * src/hd-switcher-menu.c (hd_switcher_menu_check_content): set the
  size request of hidden extra pane in order to avoid having empty
  windows flickers. Fixes NB#67044. 
  * libhildondesktop/hildon-desktop-popup-window.c
  (hildon_desktop_popup_window_show): check size request before showing
  extra panes.

  * src/hd-applications-menu.c
  (hd_applications_menu_button_button_press,
  hd_applications_menu_init): popup the menu on button press instead of
  button release. Fixes NB#33935.
  * libhildondesktop/hildon-desktop-popup-window.c
  (hildon_desktop_popup_window_button_press_event): handle button
  press instead of button release for checking if the window should pop
  down.

  * src/hd-app-menu-dialog.c: set minimum width to 300px
  for new and rename category dialogs. Fixes: NB#64576

  * libhildondesktop/hildon-desktop-panel-window-composite.c: 
  * libhildondesktop/hildon-desktop-panel-window-composite.h: include
  also the X11/Xlib.h in the X_COMPOSITE code branch.

  * src/hd-home-window.c:
  - fixed CRITICAL warning

  * src/hd-desktop.c: return correct number of children
  in hd_desktop_plugin_dir_changed()

  * libhildondesktop/libhildonmenu.c:
  - use "<All/>" to mark the default folder
  - do not create Extras if no unallocated items
  * src/hd-applications-menu.c: added safegard against
  destroying NULL window
  * data/applications.menu: mark the Extras menu as being the default.
  Fixes: NB#63084

  * src/hd-desktop.c:
  - if no user-wide configuration file for a container, copy
  it locally
  * src/hd-home-window.c:
  - same thing for home area layout and background.
  Fixes: NB#61978

  * libhildondesktop/hildon-desktop-home-item.c:
  - removed handling of the tap-and-hold
  - when the user taps for more than 400ms without move, propagate
  the button-press and button-release

