=== debian/rules ===
--- 
+++ 
@@ -15,13 +15,11 @@
 
 CFLAGS = -Wall -g
 
-ifneq (,$(findstring maemo-launcher,$(DEB_BUILD_OPTIONS)))
+ifeq (,$(findstring nolauncher,$(DEB_BUILD_OPTIONS)))
    LAUNCHER = yes
-endif
-
-ifeq "$(strip $(LAUNCHER))" "yes"
    LAUNCHER_DEPENDS = -Vlauncher:Depends="maemo-launcher"
-   LAUNCHER_LDFLAGS = -shared
+   LAUNCHER_CFLAGS = $(shell pkg-config --cflags maemo-launcher-app)
+   LAUNCHER_LDFLAGS = $(shell pkg-config --libs maemo-launcher-app)
 endif
 
 # Use soft-float and thumb mode if it enabled.
@@ -43,6 +41,15 @@
 	CFLAGS += -ggdb -DDEBUG
 endif
 
+# shared library versions, option 1
+version=0.0.0
+major=0
+# option 2, assuming the library is created as src/.libs/libfoo.so.2.0.5 or so
+#version=`ls src/.libs/lib*.so.* | \
+# awk '{if (match($$0,/[0-9]+\.[0-9]+\.[0-9]+$$/)) print substr($$0,RSTART)}'`
+#major=`ls src/.libs/lib*.so.* | \
+# awk '{if (match($$0,/\.so\.[0-9]+$$/)) print substr($$0,RSTART+4)}'`
+
 config.status: configure
 	dh_testdir
 # Add here commands to configure the package.
@@ -54,7 +61,7 @@
 	dh_testdir
 
 # Add here commands to compile the package.
-	$(MAKE) LAUNCHER_LDFLAGS="$(LAUNCHER_LDFLAGS)"
+	$(MAKE) LAUNCHER_CFLAGS="$(LAUNCHER_CFLAGS)" LAUNCHER_LDFLAGS="$(LAUNCHER_LDFLAGS)"
 	touch build-stamp
 
 clean:
@@ -64,6 +71,12 @@
 
 # Add here commands to clean up after the build process.
 	-$(MAKE) distclean
+ifneq "$(wildcard /usr/share/misc/config.sub)" ""
+	cp -f /usr/share/misc/config.sub config.sub
+endif
+ifneq "$(wildcard /usr/share/misc/config.guess)" ""
+	cp -f /usr/share/misc/config.guess config.guess
+endif
 
 
 	dh_clean 
@@ -74,15 +87,19 @@
 #	dh_clean -k 
 	dh_installdirs
 
-	$(MAKE) install DESTDIR=$(CURDIR)/debian/tmp
+# Add here commands to install the package into debian/build
+	$(MAKE) install DESTDIR=$(CURDIR)/debian/build
 ifeq "$(strip $(LAUNCHER))" "yes"
-	mv debian/tmp/usr/bin/hildon-desktop debian/tmp/usr/bin/hildon-desktop.launch
-	ln -s maemo-invoker debian/tmp/usr/bin/hildon-desktop
+	mv debian/build/usr/bin/hildon-desktop debian/build/usr/bin/hildon-desktop.launch
+	ln -s maemo-invoker debian/build/usr/bin/hildon-desktop
 endif
 
-configure:
+configure: configure-stamp
+
+configure-stamp:
 	dh_testdir
 	./autogen.sh
+	touch configure-stamp
 
 # Build architecture-independent files here.
 binary-indep: build install
@@ -95,8 +112,7 @@
 	dh_installchangelogs 
 #	dh_installexamples
 	dh_installdocs
-	dh_install --sourcedir=debian/tmp
-	install -m0755 debian/start-hildon debian/hildon-desktop/usr/bin/start-hildon
+	dh_install --sourcedir=debian/build -v
 #	dh_installmenu
 #	dh_installdebconf	
 #	dh_installlogrotate
@@ -111,7 +127,7 @@
 	dh_strip --dbg-package="hildon-desktop" --dbg-package="libhildondesktop0" --dbg-package="libhildonwm0"
 	dh_compress
 	dh_fixperms
-#	dh_installinit -- start 51 2 3 4 . stop 20 0 1 5 6 .
+	dh_installinit -- start 51 2 3 4 . stop 20 0 1 5 6 .
 #	dh_perl
 #	dh_python
 	dh_makeshlibs -V
